@charset "UTF-8";
/*********************************
* Hms-Portal own style sheet     *
* 01.09.2020 Osnabrück      	 *
* angepasst an hamm-footwear.com *
* 								 *
* z-index Auflistung:
* Hamm Höchste Wert: 	99999 NICHT überschreiten anfangen mit 99 nächste 199 usw.
* #user-layer:			99
* .sidebar:				99
* .overlay: 			99
* #feedback				2199
* header				2099
* .default-modal				99
*********************************/
.clear {
  clear: both !important;
}

.clickable {
  cursor: pointer !important;
}

.w-100 {
  width: 100% !important;
}

.w-400x {
  width: 400px !important;
}

.w-550x {
  width: 550px !important;
}

.w-600x {
  width: 600px !important;
}

.w-70x {
  width: 70px !important;
}

.w-90 {
  width: 90% !important;
}

.w-99 {
  width: 99% !important;
}

.mw-40 {
  max-width: 40% !important;
}

.mw-1 {
  max-width: 1rem !important;
}

.p-0 {
  padding: 0 !important;
}

.p-l-0 {
  padding-left: 0 !important;
}

.p-10 {
  padding: 10px !important;
}

.p-5 {
  padding: 5px !important;
}

.p-r-10 {
  padding-right: 10px !important;
}

.w-auto {
  width: auto !important;
}

.w-5rem {
  width: 5rem !important;
}

.c-w {
  color: white;
}

.f-l {
  float: left;
}

.f-r {
  float: right;
}

.m-a {
  margin: auto !important;
}

.m-b-10 {
  margin-bottom: 10px !important;
}

.m-b-20 {
  margin-bottom: 20px !important;
}

.m-l-5 {
  margin-left: 5px !important;
}

.m-l-7 {
  margin-left: 7px !important;
}

.m-l-10 {
  margin-left: 10px !important;
}

.m-l-64 {
  margin-left: 64px !important;
}

.m-r-5 {
  margin-right: 5px !important;
}

.m-t-5 {
  margin-top: 5px !important;
}

.non-visual {
  display: none !important;
}

.invisible {
  display: none;
}

.quoted:before {
  content: '"';
}

.quoted:after {
  content: '"';
}

.bold {
  font-weight: bold;
}

.font-w400 {
  font-weight: 400;
}

.font-w500 {
  font-weight: 500;
}

.float-right {
  float: right !important;
}

.gap-1 {
  gap: 1rem;
}

@keyframes blink-input-bgc {
  50% {
    background-color: #fff;
  }
}
.blink-bgc {
  background-color: #ffff00;
  animation: blink-input-bgc 1s;
  animation-iteration-count: 2;
}

@keyframes blink-input-bgc-red {
  50% {
    background-color: rgba(255, 0, 0, 0.5);
  }
}
.blink-bgc-red {
  background-color: #fff;
  animation: blink-input-bgc-red 1s;
  animation-iteration-count: 2;
}

@keyframes flash-bg {
  50% {
    background-color: rgba(255, 255, 255, 0);
  }
}
.flash-row-bg {
  position: relative;
}
.flash-row-bg:after {
  content: "";
  display: block;
  position: absolute;
  top: 0;
  right: 0;
  left: 0;
  bottom: 0;
  background-color: rgba(255, 255, 0, 0.5);
  animation: flash-bg 1s forwards;
  animation-iteration-count: infinite;
}

.flash-row-bg-green:after {
  background-color: rgba(0, 150, 0, 0.5);
}

.flash-row-bg-red:after {
  background-color: rgba(255, 0, 0, 0.5);
}

.menu-tree .menu-item.expandable:before {
  content: "";
  display: inline-block;
  background: url(/images/arrow-right.png?39f3e446cebad707c441bb34217886de);
  margin-right: 0.5rem;
  width: 16px;
  height: 16px;
  opacity: 0.2;
}
.menu-tree .menu-item.active.expandable:before {
  background: url(/images/arrow-down.png?1224bfaa85806d97eab471caa54094f7);
  opacity: 1;
}
.menu-tree .menu-item:focus {
  outline: none;
}
.menu-tree .nested-menu {
  display: none;
}
.menu-tree .nested-menu.active {
  display: initial;
}

.menu-search-wrapper {
  margin-top: 0.5rem;
  text-align: center;
}

.search-menu-tree > li {
  margin-bottom: 0.5rem;
}

.search-result {
  background-color: orange !important;
  padding: 2px;
  border-radius: 5px;
}

.prompt {
  text-align: center;
}
.prompt input:not([type=button]):not([type=checkbox]):not([type=submit]) {
  width: 400px;
}
.prompt select {
  width: 422px;
  padding: 9px;
}
.prompt div {
  margin-bottom: 20px;
}

.prompt-edit button,
.prompt-edit input {
  float: right;
}
.prompt-edit input:not([type=checkbox]):not([type=radio]):not([type=button]):not([type=submit]) {
  width: 400px;
}
.prompt-edit select {
  width: 422px;
  padding: 9px;
  float: right;
}
.prompt-edit div {
  margin-bottom: 30px;
}

.form-center {
  max-width: 600px;
  margin: auto;
}
.form-center input:not([type=checkbox]):not([type=button]):not([type=submit]) {
  width: 400px;
  margin-top: 5px;
}
.form-center select {
  width: 422px;
  padding: 9px;
}
.form-center div {
  margin-bottom: 15px;
}

.help-sidebar {
  display: inline-block !important;
  background-color: #333 !important;
  box-shadow: none !important;
}
.help-sidebar a,
.help-sidebar h1 {
  color: white !important;
}
.help-sidebar li {
  color: darkgray;
}
.help-sidebar li:before {
  filter: invert(100%);
  -webkit-filter: invert(100%);
}
.help-sidebar #menuHead {
  padding-bottom: 5px;
}
.help-sidebar .menu-search {
  background-color: #4e4e4e !important;
  color: white !important;
}

.menu-selected {
  background-color: rgba(0, 0, 0, 0.1);
  border-radius: 3px;
  padding-bottom: 5px;
  padding-left: 3px;
  margin-top: 5px;
  margin-right: 1rem;
}
.help-sidebar .menu-selected {
  background-color: rgba(255, 255, 255, 0.1);
}

blockquote.call-out, blockquote.call-out--green, blockquote.call-out--blue, blockquote.call-out--red, blockquote.call-out--yellow {
  margin-left: 0;
  padding: 0.5rem 0.5rem 0.5rem 0.5rem;
  border-radius: 5px;
  width: 100%;
}
blockquote.call-out .call-out-heading, blockquote.call-out--green .call-out-heading, blockquote.call-out--blue .call-out-heading, blockquote.call-out--red .call-out-heading, blockquote.call-out--yellow .call-out-heading {
  display: flex;
  font-weight: 600;
  font-size: 1.2rem;
  margin: 0 !important;
}
blockquote.call-out .call-out-heading .call-out-icon, blockquote.call-out--green .call-out-heading .call-out-icon, blockquote.call-out--blue .call-out-heading .call-out-icon, blockquote.call-out--red .call-out-heading .call-out-icon, blockquote.call-out--yellow .call-out-heading .call-out-icon {
  font-size: 2rem;
  width: 2.5rem;
  color: white;
}
blockquote.call-out .call-out-heading p, blockquote.call-out--green .call-out-heading p, blockquote.call-out--blue .call-out-heading p, blockquote.call-out--red .call-out-heading p, blockquote.call-out--yellow .call-out-heading p {
  margin: 0;
}
blockquote.call-out p, blockquote.call-out--green p, blockquote.call-out--blue p, blockquote.call-out--red p, blockquote.call-out--yellow p {
  margin: 0 0 0 2.5rem;
}
blockquote.call-out--yellow {
  background-color: #ffd27f;
  border-left: 5px solid #ffb733;
}
blockquote.call-out--red {
  background-color: #ff7f7f;
  border-left: 5px solid #ff3333;
}
blockquote.call-out--blue {
  background-color: #7fa2ff;
  border-left: 5px solid #336aff;
}
blockquote.call-out--green {
  background-color: #6bdc63;
  border-left: 5px solid #37c62c;
}

ul.with-bullet-points li {
  list-style-type: disc !important;
}

.docs-left {
  min-width: 350px;
}

.cb-dropdown-wrap {
  max-height: 80px;
  position: relative;
  height: 19px;
}
.cb-dropdown-wrap:hover .cb-dropdown {
  height: 80px;
  overflow: auto;
  transition: 0.2s height ease-in-out;
  width: 150%;
  z-index: 2;
  box-shadow: 0 5px 15px rgba(0, 0, 0, 0.8);
}

.cb-dropdown {
  margin: 0;
  padding: 0;
  position: absolute;
  z-index: 1;
  width: 100%;
  height: 100%;
  overflow: hidden;
  background: #fff;
  border: 1px solid #888;
}
.cb-dropdown li {
  margin: 0;
  padding: 0;
}
.cb-dropdown li label {
  display: block;
  position: relative;
  cursor: pointer;
}
.cb-dropdown li label > input {
  position: absolute;
  right: 0;
  top: 0;
}
.cb-dropdown li label > span {
  display: block;
  margin-left: 3px;
  margin-right: 20px;
  font-size: 0.8em;
  font-weight: normal;
  text-align: left;
}
.cb-dropdown li label > span:hover {
  background-color: #f6f6f6;
}

textarea,
button,
input:not([type=checkbox]):not([type=radio]) {
  border: 0;
  border-bottom: 1px solid #929292;
  border-radius: 2px;
  background-color: #f2f2f2;
  padding: 10px;
}

input :not([type=checkbox]) :not([type=radio]) :read-only {
  cursor: no-drop;
}

input[type=date] {
  padding: 8.5px;
}

input[type=checkbox].bigBox {
  height: 20px;
  width: 40px;
}

button,
input[type=button],
input[type=submit],
input[type=reset] {
  cursor: pointer !important;
  width: 150px;
  border: 1px solid #929292 !important;
  box-shadow: 1px 1px 3px #ccc;
}
button:hover,
input[type=button]:hover,
input[type=submit]:hover,
input[type=reset]:hover {
  background: #f3f3f3;
  box-shadow: 1px 1px 3px #999;
}

input[type=file] {
  cursor: pointer !important;
  box-shadow: 1px 1px 3px #ccc;
  height: 18px;
  display: inline-block !important;
}
input[type=file]:hover {
  background: #f3f3f3;
  box-shadow: 1px 1px 3px #999;
}

body,
input:not([type=radio]):not([type=checkbox]),
button,
select,
textarea {
  font-family: FontAwesome, "Lato", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif;
  color: #333;
  margin: 0;
}

h1 {
  padding: 0;
  margin: 0;
}

label[for] {
  cursor: pointer;
}
label[for]:hover {
  background-color: #f3f3f3;
}

#wrapper a,
.modal-container a {
  text-decoration: none;
  font-style: italic;
  color: #3c8dbc;
}
#wrapper a:hover,
.modal-container a:hover {
  text-decoration: underline;
  cursor: pointer;
}

header {
  height: 50px;
  background-color: #333;
  padding: 10px;
  position: fixed;
  right: 0;
  left: 0;
  z-index: 2010;
}

fieldset {
  font-size: 13px;
  border-radius: 2px;
  margin-bottom: 10px;
}

.top {
  height: 70px;
}

.bottom {
  height: 30px;
}

.header-left {
  float: left;
  width: 35px;
}
.header-left .nav-icon {
  z-index: 299;
  position: relative;
  cursor: pointer;
}
.header-left .bar1,
.header-left .bar2,
.header-left .bar3 {
  width: 35px;
  height: 5px;
  background-color: #fff;
  margin: 6px 0;
  transition: 0.4s;
}

ul,
li {
  list-style-type: none;
}

.list-style-unset ul,
.list-style-unset li {
  list-style-type: unset;
}

#tree,
.menu-tree {
  margin-left: -30px;
}
#tree ul,
.menu-tree ul {
  margin-left: -10px;
}
#tree img:hover,
.menu-tree img:hover {
  cursor: pointer;
}
#tree .tree-placeholder,
.menu-tree .tree-placeholder {
  margin-left: 21px;
}

.change .bar1 {
  transform: rotate(-45deg) translate(-9px, 6px);
  background-color: #333;
}
.change .bar2 {
  opacity: 0;
}
.change .bar3 {
  transform: rotate(45deg) translate(-8px, -8px);
  background-color: #333;
}

.page-logo {
  margin-left: 30px;
  margin-top: 5px;
}

#header-right {
  margin: 6px 20px 0 0;
}
#header-right:hover {
  float: right;
  background: #f3f3f3;
}
#header-right:hover #user-layer {
  display: block;
}
#header-right:hover #toHide {
  display: none;
}

#user-layer {
  display: none;
  position: relative;
  box-shadow: 1px 1px 3px #ccc;
  z-index: 99;
  border: 1px solid #d0cfcf;
}
#user-layer b {
  display: block;
}
#user-layer div {
  padding: 10px 40px;
}
#user-layer div a:nth-child(2) {
  margin-left: 10px;
}

#content {
  margin: 5px 5px 50px 5px;
  background: #fff;
}

.sidebar, .help-sidebar {
  display: none;
  color: #333;
  width: 350px;
  background-color: #f3f3f3;
  position: fixed;
  margin-bottom: 20px;
  box-shadow: 1px 1px 3px #ccc;
  z-index: 99;
  font-size: 20px;
  top: 0;
  left: 0;
  height: 100%;
}

.footer {
  text-align: center;
  background-color: #333;
  color: #fff;
  position: fixed;
  left: 0;
  bottom: 0;
  width: 100%;
}

#menuHead {
  text-align: center;
  border-bottom: 1px solid #ccc;
  height: 50px;
}

#debug {
  position: fixed;
  left: 0;
  bottom: 0;
  width: 100%;
  display: none;
  overflow: scroll;
}

ul.tabs {
  margin: 0;
  padding: 0;
  list-style: none;
  background-color: #adadad;
}
ul.tabs li {
  display: inline-block;
  padding: 0 10px;
  cursor: pointer;
}
ul.tabs li.current {
  background: #ededed;
}

.tab-content {
  display: none;
  background: #ededed;
  padding: 1px 10px;
  font-size: 12px;
  height: 150px;
  overflow: auto;
}
.tab-content.current {
  display: inherit;
}

table.dataTableExtend {
  padding-top: 10px;
}
table.dataTableExtend thead tr:nth-child(1) th {
  position: sticky;
  background-color: #e8e8e8;
  top: 70px;
  z-index: 5;
}
table.dataTableExtend tbody tr.finished {
  color: #9e9e9c;
}
table.dataTableExtend tbody tr.finished .js-sscc,
table.dataTableExtend tbody tr.finished .js-row-selector {
  display: none;
}
table.dataTableExtend tbody tr td input[type=number] {
  width: 50px;
  height: 25px;
  padding: 0 0 0 5px !important;
}

#feedback {
  display: none;
  position: fixed;
  width: 100%;
  text-align: center;
  z-index: 2199;
  animation: slide-in-feedback 1s forwards;
}
@keyframes slide-in-feedback {
  0% {
    top: 15%;
  }
  100% {
    top: 10%;
  }
}

.success {
  background-color: #42b983;
  padding: 9px;
}

.successful {
  color: #42b983;
}

.failed {
  color: #fff;
  background-color: #de2229;
  padding: 9px;
  display: block;
}

.error {
  color: red;
}

.error-message {
  color: red;
}

.info {
  background-color: #ffff00 !important;
  padding: 9px;
  display: block;
}

.flex {
  display: flex;
}

.space-between {
  justify-content: space-between;
}

.space-evenly {
  justify-content: space-evenly;
}

.flex.padding-beetween > div {
  padding-right: 1em;
}

.overlay {
  display: none;
  background: #000;
  opacity: 0.6;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 99;
  height: 100%;
}

.modal {
  display: none;
  position: fixed;
  z-index: 99;
  border: 1px solid #000;
  background-color: #fff;
  margin-left: auto;
  margin-right: auto;
  left: 0;
  right: 0;
  width: 500px;
  animation: slide-in-from-bottom 0.5s forwards;
}
@keyframes slide-in-from-bottom {
  from {
    top: 50%;
  }
  to {
    top: 15%;
  }
}
.modal .modal-header {
  background: #333;
  font-size: 19px;
  padding: 10px;
  color: #fff;
  justify-content: space-between;
}
.modal .modal-body {
  padding: 20px;
  color: #000;
  max-height: 50vh;
  overflow-y: scroll;
}
.modal .modal-footer {
  padding: 10px;
  text-align: right;
}

body.print .carton-label {
  border: 1px solid #333;
  margin: 30px 10px 10px 10px;
  min-width: 1020px;
  page-break-after: always;
}
body.print .heading {
  border-bottom: 1px solid #333;
  padding: 10px;
  font-size: 27px;
  font-weight: bold;
}
body.print .placeholder {
  padding: 15px 0;
  border-bottom: 1px solid #333;
  width: 300px;
  clear: both;
}
body.print .reference {
  font-size: 12px;
}
body.print table,
body.print table td {
  border: 1px solid;
  border-collapse: collapse;
  padding: 1px;
  text-align: center;
}
body.print table.left, body.print table.left td,
body.print table td.left,
body.print table td.left td {
  border-left: 0;
}
body.print div.tH {
  width: 600px;
}

.left-flush {
  float: left;
}

.right-flush {
  float: right;
}

.center-text {
  text-align: center;
}

.accordion {
  background-color: #eee;
  color: #444;
  cursor: pointer;
  padding: 18px;
  width: 100%;
  border: none;
  text-align: left;
  outline: none;
  font-size: 15px;
  transition: 0.4s;
}
.accordion:after {
  content: "+";
  color: #777;
  font-weight: bold;
  float: right;
  margin-left: 5px;
}
.accordion:hover,
.accordion .active {
  background-color: #ccc;
}
.accordion.active:after {
  content: "−";
}

.panel {
  padding: 0 18px;
  background-color: white;
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.2s ease-out;
}

.hover-item:hover {
  background-color: #eee;
}

.centerDiv {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100%;
}

.btn-confirm {
  background-color: rgba(0, 150, 0, 0.5);
}

.btn-reject {
  background-color: rgba(255, 0, 0, 0.5);
}

.icon-close {
  cursor: pointer;
}

.modal:focus {
  outline: none;
}

.view-action button,
.view-action input {
  width: auto;
  height: 30px;
  padding: 0 8px 1px;
}

.dataTables_wrapper .fa {
  margin: 0 5px;
  cursor: pointer;
}

.shoebox-radio-container {
  float: left;
  overflow-y: auto;
  max-height: 150px;
  width: 45%;
}

.breadcrumbs {
  border: 1px solid #cbd2d9;
  display: inline-flex;
  overflow: hidden;
  font-size: 13px;
  margin-bottom: 20px;
}
.breadcrumbs .b-item {
  background: #fff;
  color: #333;
  padding: 0.5em 1.6em;
  position: relative;
  text-decoration: none;
  transition: background 0.2s linear;
}
.breadcrumbs .b-item:hover {
  cursor: unset;
}
.breadcrumbs .b-item.active, .breadcrumbs .b-item.active:after {
  background: #b89d81;
  color: #fff;
}
.breadcrumbs .b-item:after, .breadcrumbs .b-item:before {
  background: white;
  bottom: 0;
  clip-path: polygon(50% 50%, -50% -50%, 0 100%);
  content: "";
  left: 100%;
  position: absolute;
  top: 0;
  transition: background 0.2s linear;
  width: 1em;
  z-index: 1;
}
.breadcrumbs .b-item:before {
  background: #cbd2d9;
  margin-left: 1px;
}

.item-comment-wrapper ol li {
  list-style-type: decimal !important;
}
.item-comment-wrapper ul li {
  list-style-type: disc !important;
}
.item-comment-wrapper * {
  padding-top: 0;
  padding-bottom: 0;
  margin-top: 0;
  margin-bottom: 0;
}

.item-comment + .item-comment {
  border-top: black 1px solid;
}

.item-comment:hover {
  background-color: rgba(0, 0, 0, 0.1);
  cursor: pointer;
}

.gtin_barcode {
  width: 157px;
}

.print #content #modal-wrapper {
  display: none;
}
.print footer {
  display: none;
}
